/*******************************************************************************
*
*  FREESCALE SEMICONDUCTOR INC. 2004
*  ALL RIGHTS RESERVED
*  COPYRIGHT (c)
*  
********************************************************************************
*
*  DESCRIPTION:
*   ETPU Motor Control Function Set 3
*
********************************************************************************
*
*  REVISION HISTORY:
*                                                         
*  REVISION    AUTHOR       DATE         DESCRIPTION OF CHANGE                  
*  --------    -----------  ---------    ------------------------------------              
*  0.5         Milan Brejl   26/Oct/04    Updated for set3 release 0.5.
*              Michal Princ
*
*******************************************************************************/ 


#ifndef __ETPUC_SET3_H
#define __ETPUC_SET3_H


/*******************************************************************************
    MEMORY SIZE AND ENTRY TABLE SIZE DEFINITION
*******************************************************************************/
#define MEMORY_SIZE            6*1024   // 6 kbytes
#define LAST_FUNCTION              19   // Number of the last assigned function


#define SET_USED

/*******************************************************************************
    FUNCTION NUMBERS ASSIGNMENT
        Uncomment the definition of the function set number
        to include the function in function set build
*******************************************************************************/


/*******************************************************************************
    SET1 - GENERAL PURPOSE FUNCTIONS
 ******************************************************************************/

//#define GPIO_FUNCTION_NUMBER        0
//#define PWM_FUNCTION_NUMBER         1
//#define IC_FUNCTION_NUMBER          2
//#define OC_FUNCTION_NUMBER          3
//#define PFM_FUNCTION_NUMBER         4
//#define PPA_FUNCTION_NUMBER         5
//#define UART_FUNCTION_NUMBER        6
//#define QOM_FUNCTION_NUMBER         7
//#define SM_FUNCTION_NUMBER          8
//#define SPI_FUNCTION_NUMBER         9
//#define POC_FUNCTION_NUMBER        10


/*******************************************************************************
    SET2 - AUTOMOTIVE FUNCTIONS
 ******************************************************************************/




/*******************************************************************************
    SET3 - MOTOR CONTROL FUNCTIONS  (DC MOTORS)
 ******************************************************************************/

#define PWMM_FUNCTION_NUMBER        11
#define PWMF_FUNCTION_NUMBER        12
#define PWMC_FUNCTION_NUMBER        13
#define HD_FUNCTION_NUMBER          14
//#define QD_FUNCTION_NUMBER          15
//#define QD_HOME_FUNCTION_NUMBER     16
//#define QD_INDEX_FUNCTION_NUMBER    17
//#define AS_FUNCTION_NUMBER          18
#define SC_FUNCTION_NUMBER          19
//#define BC_FUNCTION_NUMBER          20


/*******************************************************************************
    SET4 - MOTOR CONTROL FUNCTIONS   (AC MOTORS)
*******************************************************************************/

//#define ACIMVHZ_FUNCTION_NUMBER     21
//#define PMSMVC_FUNCTION_NUMBER      22
//#define ACIMVC_FUNCTION_NUMBER      23


#endif /* __ETPUC_SET3_H */



/*********************************************************************
 *
 * Copyright:
 *	Freescale Semiconductor, INC. All Rights Reserved.
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Freescale
 *  Semiconductor, Inc. This software is provided on an "AS IS"
 *  basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, Freescale
 *  Semiconductor DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED,
 *  INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 *  PARTICULAR PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH
 *  REGARD TO THE SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF)
 *  AND ANY ACCOMPANYING WRITTEN MATERIALS.
 *
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL Freescale Semiconductor BE LIABLE FOR ANY DAMAGES WHATSOEVER
 *  (INCLUDING WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS,
 *  BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER
 *  PECUNIARY LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.
 *
 *  Freescale Semiconductor assumes no responsibility for the
 *  maintenance and support of this software
 ********************************************************************/
